Subject: Re: [mpls] MPLS-RT review of draft-bryant-mpls-rfc6374-sfl

From: "lizho.jin" <[email-masked]>
Date: Thu, 23 Mar 2017 23:14:05 +0800

Hi,

I review this draft, and also the two related SFL draft. Overall, this document is useful and technically sound. And I have some non-blocking comments listed below. Regarding the adoption, I suggest to consider adopting draft-bryant-mpls-sfl-framework-03 first, then this draft which is highly relied on the concept of SFL.

Section 3

The data service packets of the flow being instrumented are grouped

into batches, and all the packets within a batch are marked with the

SFL [I-D.ietf-mpls-flow-ident]

[Lizhong] more suitable to refer [draft-bryant-mpls-sfl-framework], not [I-D.ietf-mpls-flow-ident]

Section 4

Such a packet may not need to be carried over an SFL since the delay

over a particular LSP should be a function of the TC bits.

[Lizhong] not understand here, adding SFL does not change the LSE and TC, why not possible to carry over SFL?

Section 7

7.  Multiple Packet Delay Characteristics

[Lizhong] is it assumed here that all packets belong to one flow will go through the same path? Some network equipment may not be the case. E.g., case in RFC7424.

Section 7.1

There will be a number of Interval/Number pairs depending on the

number of buckets being specified by the Querier.  If an RFC6374

message is being used to configure the buckets, the Responder MUST

respond with 0 packets in each bucket until it has been configured

for a full measurement period (i.e. it was configured at the time of

the last response message).  Out of band configuration is permitted

by this mode of operation.

[Lizhong] need detail process of Query and Reponse. E.g., does the query need "Number pkts in Bucket" field, and if not, please specify.

7.3.1.  RFC6374 Multi-Packet Delay Measurement Message Format

[Lizhong] this is only for Classic Standard Deviation, right? why it is not section 7.2.1?

7.4

This RFC6374 message is carried over an LSP in the way described in

[RFC6374] and over an LSP with an SFL as described in Section 9

[Lizhong] what's the format of query message, will it include "Time of First Packet", "Time of First Packet", and other fields?

13.1.  Allocation of PW Associated Channel Type

As per the IANA considerations in [RFC5586], IANA is requested to

allocate the following Channel Type in the "PW Associated Channel

Type" registry:

Value  Description                    TLV Follows  Reference

-----  -----------------------------  -----------  ---------

TBD    Description MPLS Multi-Packet  No           This

Delay Measurement

[Lizhong] there is other two message type need to be defined here. E.g., Bucket Jitter Measurement Message Format, Average Delay Measurement Message Format

Regards

Lizhong

On 03/9/2017 11:09，Loa Andersson<[email-masked]> wrote：

Huub, Andy, Vishwas and Lizhong,

You have been selected as MPLS-RT reviewers for

draft-bryant-mpls-rfc6374-sfl-03.

Note to authors: You have been CC'd on this email so that you can know

that this review is going on. However, please do not review your own

document.

Reviews should comment on whether the document is coherent, is it

useful (ie, is it likely to be actually useful in operational networks),

nd is the document technically sound?

We are interested in knowing whether the document is ready to be

considered for WG adoption (ie, it doesn't have to be perfect at this

point, but should be a good start). Please remember that it often is

easier to progress the document when it has become a working group

document. All comments in the MPLS-RT review needs to be addressed,

but please think carefully about whether a comment is gating the

adoption or could just as easily be addressed after the adoption.

Reviews should be sent to the document authors, WG co-chairs and WG

secretary, and CC'd to the MPLS WG email list. If necessary, comments

may be sent privately to only the WG chairs.

If you have technical comments you should try to be explicit about what

needs to be resolved before adopting it as a working group document, and

what can wait until the document is a working group document and the

working group has the revision control.

Are you able to review this draft by March 23, 2017? Please respond

whether you are available to do the review in a timely fashion.

Thanks, Loa

(as MPLS WG co-chair)

--

Loa Andersson                        email: [email-masked]

Senior MPLS Expert                          [email-masked]

Huawei Technologies (consultant)     phone: +46 739 81 21 64